Support for prompt mods
Status: Closed
Assignee: Ram Kordale
Category:

Target version:
0.00 hour

Description

Deploy set_prompt_mods api

1.Inputs (types): model (string), index (int), prefix (string), suffix (string)

2.store in new Datastore kind "prompt_prefixes".

3.Encrypt prefix and suffix and store in Datastore

Changes to https://call-openai-api-yhb42btdva-uc.a.run.app:

1.add parameters model and index. if these are not present, assume "gpt 3.5" and 1 as arguments.

2.retrieve prefix and suffix
2.decrypt them

3.Before sending prompt to OpenAl API, set prompt to concatenate(prefix, \n, prompt, \n, suffix)

History

#1 - 05/30/2024 05:47 AM - Md Shahzar

- Status changed from New to In Progress

#2 - 05/30/2024 09:32 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 06/03/2024 10:49 AM - Md Shahzar
- Status changed from Resolved to Feedback

- Assignee changed from Md Shahzar to Ram Kordale

#4 - 09/11/2024 06:24 AM - Ram Kordale
- Status changed from Feedback to Closed
